# withXml

abstract fun withXml(action: Action<in XmlProvider>)

Allows configuration of the POM, after it has been generated according to the input data.

    plugins {
        id 'maven-publish'
    }

    publishing {
      publications {
        maven(MavenPublication) {
          pom.withXml {
            asNode().appendNode('properties').appendNode('my-property', 'my-value')
          }
        }
      }
    }

Content copied to clipboard
Note that due to Gradle's internal type conversion system, you can pass a Groovy closure to this method and it will be automatically converted to an `Action`.

Each action/closure passed to this method will be stored as a callback, and executed when the publication that this descriptor is attached to is published.

For details on the structure of the XML to be modified, see the POM reference.

#### Parameters

action

The configuration action.

#### See also

MavenPublication
XmlProvider